Friend Module Win32Api
    Public Declare Function SendMessage Lib "user32.dll" Alias "SendMessageA" ( _
        ByVal hwnd As IntPtr, _
        ByVal Msg As Integer, _
        ByVal wParam As Integer, _
        ByVal lParam As Integer) As IntPtr

    Public Declare Function SendMessage Lib "user32.dll" Alias "SendMessageA" ( _
        ByVal hwnd As IntPtr, _
        ByVal Msg As Integer, _
        ByVal wParam As Integer, _
        ByRef lParam As TOOLINFO) As IntPtr

    Public Declare Function SendMessage Lib "user32.dll" Alias "SendMessageA" ( _
        ByVal hwnd As IntPtr, _
        ByVal Msg As Integer, _
        ByVal wParam As Boolean, _
        ByVal lParam As Integer) As IntPtr

    Public Declare Function GetClientRect Lib "user32.dll" ( _
        ByVal hWnd As IntPtr, _
        ByRef lpRect As RECT) As Boolean

    Public Declare Function GetComboBoxInfo Lib "user32.dll" ( _
        ByVal hwndCombo As IntPtr, _
        ByRef pcbi As COMBOBOXINFO) As Boolean

    Public Structure RECT
        Public left As Integer
        Public top As Integer
        Public right As Integer
        Public bottom As Integer
    End Structure

    Public Structure COMBOBOXINFO
        Public cbSize As Integer
        Public rcItem As RECT
        Public rcButton As RECT
        Public stateButton As Integer
        Public hwndCombo As IntPtr
        Public hwndItem As IntPtr
        Public hwndList As IntPtr
    End Structure

    Public Structure TOOLINFO
        Public cbSize As Integer
        Public uFlags As Integer
        Public hwnd As IntPtr
        Public uId As IntPtr
        Public rect As rect
        Public hinst As IntPtr
        Public lpszText As String
        Public lParam As IntPtr
    End Structure

    Public Const TOOLTIPS_CLASS As String = "tooltips_class32"
    Public Const TTS_ALWAYSTIP As Integer = &H1
    Public Const WS_EX_TOPMOST As Integer = &H8

    Public Const TTF_IDISHWND As Integer = &H1
    Public Const TTF_SUBCLASS As Integer = &H10
    Public Const TTF_TRACK As Integer = &H20
    Public Const TTF_ABSOLUTE As Integer = &H80
    Public Const TTF_TRANSPARENT As Integer = &H100
    Public Const TTF_DI_SETITEM As Integer = &H8000

    Public Const WM_SIZE As Integer = &H5
    Public Const WM_SHOWWINDOW As Integer = &H18
    Public Const WM_MOUSEACTIVATE As Integer = &H21
    Public Const WM_CTLCOLORLISTBOX As Integer = &H134
    Public Const WM_MOUSEMOVE As Integer = &H200
    Public Const WM_MOUSEHOVER As Integer = &H2A1
    Public Const WM_MOUSELEAVE As Integer = &H2A3
    Public Const WM_USER As Integer = &H400

    Public Const MK_LBUTTON As Integer = &H1
    Public Const MK_RBUTTON As Integer = &H2
    'Public Const MK_SHIFT As Integer = &H4
    'Public Const MK_CONTROL As Integer = &H8
    Public Const MK_MBUTTON As Integer = &H10
    Public Const MK_XBUTTON1 As Integer = &H20
    Public Const MK_XBUTTON2 As Integer = &H40

    Public Const TTM_ACTIVATE As Integer = (WM_USER + 1)
    Public Const TTM_SETDELAYTIME As Integer = (WM_USER + 3)
    Public Const TTM_ADDTOOL As Integer = (WM_USER + 4)
    Public Const TTM_GETTOOLINFO As Integer = (WM_USER + 8)
    Public Const TTM_UPDATETIPTEXT As Integer = (WM_USER + 12)
    Public Const TTM_GETDELAYTIME As Integer = (WM_USER + 21)
    Public Const TTM_SETMAXTIPWIDTH As Integer = (WM_USER + 24)
    Public Const TTM_GETMAXTIPWIDTH As Integer = (WM_USER + 25)

    Public Const TTDT_AUTOMATIC As Integer = 0
    Public Const TTDT_RESHOW As Integer = 1
    Public Const TTDT_AUTOPOP As Integer = 2
    Public Const TTDT_INITIAL As Integer = 3

    Public Function MAKELONG(ByVal a As Integer, ByVal b As Integer) As Integer
        Return ((a And &HFFFF) Or ((b And &HFFFF) << 16))
    End Function
End Module
